Subject: bug#24479: Problem opening .tex files on 25.1 under Windows 7

From: Dave Footitt <[email-masked]>
Date: Wed, 21 Sep 2016 09:50:21 +0100 (BST)

Aha, many thanks!

Running that on my last working copy (25.0.50.1) gives:

"--prefix=/z/emacs --host=x86_64-w64-mingw32 --target=x86_64-w64-mingw32 
--build=x86_64-w64-mingw32 --with-wide-int --with-jpeg --with-xpm 
--with-png --with-tiff --with-rsvg --with-xml2 --with-gnutls 
--with-sound=yes --with-file-notification=yes --without-dbus 
--without-imagemagick 'CFLAGS=-O3 -fomit-frame-pointer -g0 -pipe' 
'LDFLAGS=-static-libgcc -static-libstdc++ -static -s -Wl,-s'"

Which as you see, contains "--without-dbus".

The latest one I've downloaded is much simpler:

"--prefix=/tmp/emacs --without-imagemagick 'CFLAGS=-O2 
-fomit-frame-pointer -g0'"

So that will be the problem.  Many thanks for your help, I'll try and get 
a version with the correct settings.

Cheers

Dave

On Wed, 21 Sep 2016, Arash Esbati wrote:

> Dave Footitt <[email-masked]> writes:
> 
> > Hi there,
> >
> >> How did you obtain your Emacs binary?  Emacs with Dbus is known *not* to
> >> work on Windows.  I suggest you grab a binary built `--without-dbus',
> >> put (pdf)latex in your PATH and try again.
> >
> > I've been using this one:
> >
> > https://sourceforge.net/projects/emacsbinw64/
> >
> > Mainly because of it's built in image and TLS support on 64 bit.
> >
> > But it looks like the comments thread suggest it's actually compiled with 
> > Dbus (I don't even know what Dbus is!), which is frustrating because up 
> > until recently everything was working!
> 
> You can find out how Emacs was built by checking this variable:
> 
> ,----[ C-h v system-configuration-options RET ]
> | system-configuration-options is a variable defined in ‘C source code’.
> | Its value is
> | "... --without-imagemagick --without-dbus ..."
> | 
> | Documentation:
> | String containing the configuration options Emacs was built with.
> `----
> 
> You can try to delete `libdbus-*.dll' in your Emacs/bin directory, maybe
> that prevents Emacs from using DBus [1].
> 
> Best, Arash
> 
> PS Please keep [email-masked] in CC.
> 
> Footnotes: 
> [1]  https://en.wikipedia.org/wiki/D-Bus
>